List Real-time STT agents
https://api.agora.io/api/speech-to-text/v1/projects/{appid}/agentsUse this method to retrieve a list of real-time transcription and translation agents that match specified criteria.
Request
Path parameters
The App ID of the project.
Query parameters
QUERY
- channel stringnullable
Filters the agent list by channel name.
- from_time integernullable
Default:
1 day agoThe start of the query time range, as a Unix timestamp in seconds.
- to_time integernullable
Default:
Current timeThe end of the query time range, as a Unix timestamp in seconds.
- state stringnullable
Default:
2Filters agents by status. Only one status value can be specified per request:
0-IDLE: The agent is not initialized.1-STARTING: The agent is starting.2-RUNNING: The agent is running.3-STOPPING: The agent is exiting.4-STOPPED: The agent exited successfully.5-RECOVERING: The agent is recovering.6-FAILED: The agent exited with a failure.
- cursor stringnullable
The pagination cursor. Set this to the
agent_idof the last item from the previous page to retrieve the next page of results.
Response
-
If the returned status code is
200, the request was successful. The response body contains the result of the request.OK
- data object
Show propertiesHide properties
- count integer
The number of agents returned in this response.
- list array
The list of agents matching the query criteria.
Show propertiesHide properties
- start_ts integer
The Unix timestamp (in seconds) when the agent was created.
- status string
The current status of the agent:
IDLE: The agent is not initialized.STARTING: The agent is starting.RUNNING: The agent is running.STOPPING: The agent is exiting.STOPPED: The agent exited successfully.RECOVERING: The agent is recovering.FAILED: The agent exited with a failure.
- agent_id string
The agent ID.
- status string
The request status.
-
If the returned status code is not
200, the request failed. Refer to thedetailandreasonfields to understand the possible reasons for failure.